Bug 737572 - rhui-manager creates all repos with checksum type of sha256
Summary: rhui-manager creates all repos with checksum type of sha256
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA
Version: 2.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jay Dobies
QA Contact: mkovacik
URL:
Whiteboard:
Depends On:
Blocks: tracker-rhui-2.0.1
TreeView+ depends on / blocked
 
Reported: 2011-09-12 15:13 UTC by James Slagle
Modified: 2017-03-01 22:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-01 22:05:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0367 normal SHIPPED_LIVE Red Hat Update Infrastructure 3.0 Release 2017-03-02 03:05:22 UTC

Description James Slagle 2011-09-12 15:13:12 UTC
When you create a repo using rhui-manager, it does not pass in a checksum type when it calls into the pulp api.  The pulp server defaults to sha256.  This is a problem for rhel 5 clients intending to use that repo since they do not support that checksum type.

rhui-manager should prompt for the checksum type when you create a repo and pass that into the pulp api.

Comment 1 Jay Dobies 2011-09-20 17:09:46 UTC
commit dcbf92dab48cf86034a0ddcfda1489fe7e873a36
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Tue Sep 20 13:05:36 2011 -0400

    Made checksum type selectable for custom repos

rhui-2.0/tools/src/rhui/tools/pulp_api.py
rhui-2.0/tools/src/rhui/tools/render.py
rhui-2.0/tools/src/rhui/tools/screens/repo.py

Comment 2 wes hayutin 2011-10-17 20:01:45 UTC
set tracker bug. 746803

Comment 3 Sachin Ghai 2011-10-19 06:06:16 UTC
Verified with new RHUI ISO of version:

RHEL-6.1-RHUI-2.0.1-20111017.0-Server-x86_64-DVD1.iso

Now user can select checksum type option while creating custom repo:

                                  Connected: dhcp201-152.englab.pnq.redhat.com
------------------------------------------------------------------------------
rhui (repo) => c

Unique ID for the custom repository (alphanumerics, _, and - only):
custom_repo

Display name for the custom repository [custom_repo]:
cus001

Path at which the repository will be served [custom_repo]:
/custom/x86_64/

Algorithm to use when calculating the checksum values for repository metadata:
  1  - sha256
  2  - sha1
Enter value (1-2) or 'b' to abort: 1

Should the repository require an entitlement certificate to access? (y/n)
y

Based on the repository's relative path, the suggested entitlement path is:
  /custom/$basearch/

Path that should be used when granting an entitlement for this repository. This
may use yum variable substitutions (e.g. $basearch) to group this together with
other repositories that share the entitlement [/custom/$basearch/]:


The following repository will be created:
  ID:          custom_repo
  Name:        cus001
  Path:        /custom/x86_64/
  Entitlement: /custom/$basearch/
Proceed? (y/n) y

Successfully created repository cus001

------------------------------------------------------------------------------
rhui (repo) =>

Comment 4 Sachin Ghai 2011-10-19 06:15:45 UTC
Uploaded packages:
=======================

rhui (repo) => u

Select the repositories to upload the package into:
  -  1 : cus001
Enter value (1-1) to toggle selection, 'c' to confirm selections, or '?' for more commands: 1

Select the repositories to upload the package into:
  x  1 : cus001
Enter value (1-1) to toggle selection, 'c' to confirm selections, or '?' for more commands: c


Enter the location of the packages to upload. If the location is an RPM,
the file will be uploaded. If the location is a directory, all RPMs in that
directory will be uploaded:
/root/packages

The following RPMs will be uploaded:
  pulp-0.0.156-1.el6.noarch.rpm
  python-oauth2-1.2.1-3.el6.noarch.rpm
  python-qpid-0.7.946106-1.el6.noarch.rpm
  python-webpy-0.32-8.el6.noarch.rpm
  pulp-common-0.0.156-1.el6.noarch.rpm
  pulp-cds-0.0.156-1.el6.noarch.rpm
  qpid-cpp-client-0.10-1.el6.x86_64.rpm
  gofer-0.25-1.el6.noarch.rpm
  qpid-cpp-server-store-0.10-1.el6.x86_64.rpm
  python-gofer-0.25-1.el6.noarch.rpm
  grinder-0.0.88-1.el6.noarch.rpm
  qpid-cpp-server-0.10-1.el6.x86_64.rpm
  ruby-gofer-0.25-1.el6.noarch.rpm
  qpid-cpp-server-ssl-0.10-1.el6.x86_64.rpm
  qpid-cpp-client-ssl-0.10-1.el6.x86_64.rpm
  pulp-client-0.0.156-1.el6.noarch.rpm
Proceed? (y/n) y


Uploading /root/packages/pulp-0.0.156-1.el6.noarch.rpm...
Uploading /root/packages/python-oauth2-1.2.1-3.el6.noarch.rpm...
Uploading /root/packages/python-qpid-0.7.946106-1.el6.noarch.rpm...
Uploading /root/packages/python-webpy-0.32-8.el6.noarch.rpm...
Uploading /root/packages/pulp-common-0.0.156-1.el6.noarch.rpm...
Uploading /root/packages/pulp-cds-0.0.156-1.el6.noarch.rpm...
Uploading /root/packages/qpid-cpp-client-0.10-1.el6.x86_64.rpm...
Uploading /root/packages/gofer-0.25-1.el6.noarch.rpm...
Uploading /root/packages/qpid-cpp-server-store-0.10-1.el6.x86_64.rpm...
Uploading /root/packages/python-gofer-0.25-1.el6.noarch.rpm...
Uploading /root/packages/grinder-0.0.88-1.el6.noarch.rpm...
Uploading /root/packages/qpid-cpp-server-0.10-1.el6.x86_64.rpm...
Uploading /root/packages/ruby-gofer-0.25-1.el6.noarch.rpm...
Uploading /root/packages/qpid-cpp-server-ssl-0.10-1.el6.x86_64.rpm...
Uploading /root/packages/qpid-cpp-client-ssl-0.10-1.el6.x86_64.rpm...
Uploading /root/packages/pulp-client-0.0.156-1.el6.noarch.rpm...

------------------------------------------------------------------------------
rhui (repo) => 



Verified checksum type of newly created repo:
=================================================

[root@dhcp201-152 ~]# cd /var/lib/pulp/repos/
[root@dhcp201-152 repos]# ls
content  custom
[root@dhcp201-152 repos]# cd custom/
[root@dhcp201-152 custom]# ls
x86_64
[root@dhcp201-152 custom]# cd x86_64/
[root@dhcp201-152 x86_64]# ls
gofer-0.25-1.el6.noarch.rpm           pulp-common-0.0.156-1.el6.noarch.rpm     qpid-cpp-client-0.10-1.el6.x86_64.rpm        repodata
grinder-0.0.88-1.el6.noarch.rpm       python-gofer-0.25-1.el6.noarch.rpm       qpid-cpp-client-ssl-0.10-1.el6.x86_64.rpm    ruby-gofer-0.25-1.el6.noarch.rpm
pulp-0.0.156-1.el6.noarch.rpm         python-oauth2-1.2.1-3.el6.noarch.rpm     qpid-cpp-server-0.10-1.el6.x86_64.rpm
pulp-cds-0.0.156-1.el6.noarch.rpm     python-qpid-0.7.946106-1.el6.noarch.rpm  qpid-cpp-server-ssl-0.10-1.el6.x86_64.rpm
pulp-client-0.0.156-1.el6.noarch.rpm  python-webpy-0.32-8.el6.noarch.rpm       qpid-cpp-server-store-0.10-1.el6.x86_64.rpm
[root@dhcp201-152 x86_64]# cd repodata/
[root@dhcp201-152 repodata]# ls
filelists.sqlite.bz2  filelists.xml.gz  other.sqlite.bz2  other.xml.gz  primary.sqlite.bz2  primary.xml.gz  repomd.xml
[root@dhcp201-152 repodata]# cat repomd.xml | grep checksum
    <checksum type="sha256">571c382f4d4fe43adccda4a5398bb92f5a27058a4f0539d2ccadf9aaf079b479</checksum>
    <open-checksum type="sha256">85956fbf28fd63dec440a2e898c82ce1121ab6c05f47a4c5d250ca2688db7f93</open-checksum>
    <checksum type="sha256">559a70c77161daf337f07d801820ea1a4de1709f8b5d3e7c24eddc4eca3ec9d6</checksum>
    <open-checksum type="sha256">ad217e2e644efe2e6566843455247e0fb6b04894d4920b3fc7209d1748dc15dc</open-checksum>
    <checksum type="sha256">68d8af8ab7ef8786161560e6111ee93c170b9b79df98bff167530f0bcf264458</checksum>
    <open-checksum type="sha256">941a4505a76e549000c48e2dcac93defcdb441bbe28e7622dfc28baaf5425f9b</open-checksum>
    <checksum type="sha256">7b7c36a9cba42cf753053887e0a55dfd0a82625476ad99966af1b38ae21b841d</checksum>
    <open-checksum type="sha256">664aa505c892d804383cd529dd2cf06e93e48989ef4c4377d7335f49fdd52522</open-checksum>
    <checksum type="sha256">e03e516c157b7eff0b5f81275271d279c2dc934bbbde032dc56cb8d30462859e</checksum>
    <open-checksum type="sha256">49b032603defd44b9604dadc1ced545624970197d7efb0afee5efb045582af56</open-checksum>
    <checksum type="sha256">8ac5c8cd687ab1d2a07d9df088eeb0f7c8a4916110f804caf1871f46e0386ac2</checksum>
    <open-checksum type="sha256">9a6bca81d87bc2e9e595c914286673a8637487bca4aec4e92decb0f4ad56e982</open-checksum>
[root@dhcp201-152 repodata]#

Comment 5 Sachin Ghai 2011-10-19 06:23:14 UTC
Custom repo created with sha1 algo:
===================================

------------------------------------------------------------------------------
rhui (repo) => c

Unique ID for the custom repository (alphanumerics, _, and - only):
custom_sha1

Display name for the custom repository [custom_sha1]:
cus_sha1

Path at which the repository will be served [custom_sha1]:
/custom/x86_64

Algorithm to use when calculating the checksum values for repository metadata:
  1  - sha256
  2  - sha1
Enter value (1-2) or 'b' to abort: 2

Should the repository require an entitlement certificate to access? (y/n)
y

Based on the repository's relative path, the suggested entitlement path is:
  /custom/$basearch

Path that should be used when granting an entitlement for this repository. This
may use yum variable substitutions (e.g. $basearch) to group this together with
other repositories that share the entitlement [/custom/$basearch]:


The following repository will be created:
  ID:          custom_sha1
  Name:        cus_sha1
  Path:        /custom/x86_64
  Entitlement: /custom/$basearch
Proceed? (y/n) y

Successfully created repository cus_sha1

------------------------------------------------------------------------------
rhui (repo) => 


verified the checksum type in repomd.xml:
=========================================

rhui (repo) => exit
[root@dhcp201-152 repos]# cd /var/lib/pulp/repos/custom/
[root@dhcp201-152 custom]# ls
x86_64
[root@dhcp201-152 custom]# cd x86_64/
[root@dhcp201-152 x86_64]# ls
gofer-0.25-1.el6.noarch.rpm           pulp-common-0.0.156-1.el6.noarch.rpm     qpid-cpp-client-0.10-1.el6.x86_64.rpm        repodata
grinder-0.0.88-1.el6.noarch.rpm       python-gofer-0.25-1.el6.noarch.rpm       qpid-cpp-client-ssl-0.10-1.el6.x86_64.rpm    ruby-gofer-0.25-1.el6.noarch.rpm
pulp-0.0.156-1.el6.noarch.rpm         python-oauth2-1.2.1-3.el6.noarch.rpm     qpid-cpp-server-0.10-1.el6.x86_64.rpm
pulp-cds-0.0.156-1.el6.noarch.rpm     python-qpid-0.7.946106-1.el6.noarch.rpm  qpid-cpp-server-ssl-0.10-1.el6.x86_64.rpm
pulp-client-0.0.156-1.el6.noarch.rpm  python-webpy-0.32-8.el6.noarch.rpm       qpid-cpp-server-store-0.10-1.el6.x86_64.rpm
[root@dhcp201-152 x86_64]# cd repodata/
[root@dhcp201-152 repodata]# cat repomd.xml | grep checksum
    <checksum type="sha1">252c7e348b9f3150f4e46b254529ba9f436d9c59</checksum>
    <open-checksum type="sha1">e3ea120da5f05a6061a6403aec2711a03cb3748c</open-checksum>
    <checksum type="sha1">c90fda6db64fe29c414e35718b06c03c9be718fb</checksum>
    <open-checksum type="sha1">fc6a60d7a4bd0de27863af702db373e5eb94eb18</open-checksum>
    <checksum type="sha1">ae7af817306d8d5cd62ae1febd5a5da973e76345</checksum>
    <open-checksum type="sha1">7d72fa404eb64dbfb1efb35ecac7cb81f60f3211</open-checksum>
    <checksum type="sha1">a8dc2cbbf5a16f7202d6d4b3218daab66919e613</checksum>
    <open-checksum type="sha1">7606f0ac1eec304c58270363816f779c3734446b</open-checksum>
    <checksum type="sha1">1cff7d74be3a85b1dca06eed426ffc65322d52cf</checksum>
    <open-checksum type="sha1">4540fc9f3c58c2cf8c29cf6752d7bef1ef322e3f</open-checksum>
    <checksum type="sha1">00305ea192b97d1e2814ea549421efce80ccaa85</checksum>
    <open-checksum type="sha1">55e4dc67fa88eac0208cb6c4d9cc16716db7cebe</open-checksum>
[root@dhcp201-152 repodata]#

Comment 7 Sachin Ghai 2011-10-20 10:45:06 UTC
Created a repo with checksum type 'sha1'

------------------------------------------------------------------------------
rhui (repo) => c

Unique ID for the custom repository (alphanumerics, _, and - only):
pulp

Display name for the custom repository [pulp]:
pulp

Path at which the repository will be served [pulp]:
/pulp/x86_64

Algorithm to use when calculating the checksum values for repository metadata:
  1  - sha256
  2  - sha1
Enter value (1-2) or 'b' to abort: 2

Should the repository require an entitlement certificate to access? (y/n)
y

Based on the repository's relative path, the suggested entitlement path is:
  /pulp/$basearch

Path that should be used when granting an entitlement for this repository. This
may use yum variable substitutions (e.g. $basearch) to group this together with
other repositories that share the entitlement [/pulp/$basearch]:


The following repository will be created:
  ID:          pulp
  Name:        pulp
  Path:        /pulp/x86_64
  Entitlement: /pulp/$basearch
Proceed? (y/n) y

Successfully created repository pulp

------------------------------------------------------------------------------
rhui (repo) => ^






Sync the custom repo with CDS and checksum type is sha1:
==========================================================


[root@dhcp193-179 x86_64]# ls
gofer-0.25-1.el6.noarch.rpm           pulp-common-0.0.156-1.el6.noarch.rpm     qpid-cpp-client-0.10-1.el6.x86_64.rpm        repodata
grinder-0.0.88-1.el6.noarch.rpm       python-gofer-0.25-1.el6.noarch.rpm       qpid-cpp-client-ssl-0.10-1.el6.x86_64.rpm    ruby-gofer-0.25-1.el6.noarch.rpm
pulp-0.0.156-1.el6.noarch.rpm         python-oauth2-1.2.1-3.el6.noarch.rpm     qpid-cpp-server-0.10-1.el6.x86_64.rpm
pulp-cds-0.0.156-1.el6.noarch.rpm     python-qpid-0.7.946106-1.el6.noarch.rpm  qpid-cpp-server-ssl-0.10-1.el6.x86_64.rpm
pulp-client-0.0.156-1.el6.noarch.rpm  python-webpy-0.32-8.el6.noarch.rpm       qpid-cpp-server-store-0.10-1.el6.x86_64.rpm
[root@dhcp193-179 x86_64]# cd
[root@dhcp193-179 ~]# cd -
/var/lib/pulp-cds/repos/pulp/x86_64
[root@dhcp193-179 x86_64]# cd repodata/
[root@dhcp193-179 repodata]# cat repomd.xml | grep checksum
    <checksum type="sha1">a1c510b9349d95af7fc06cc921e6f40feb09e25a</checksum>
    <open-checksum type="sha1">2d836d4f8ae4537f2321551ab3f1bc9ef7aaa86c</open-checksum>
    <checksum type="sha1">f32f265fe206834bd9ca31cd3a7cd57ca96c5904</checksum>
    <open-checksum type="sha1">dce7f2811b0e5f3599ea0d0f2a37a4c4cb148a00</open-checksum>
    <checksum type="sha1">a4ae556260c9bb29dfeabcc2ed3bf20d2d5b06a6</checksum>
    <open-checksum type="sha1">83176359b15b8d701df5c6a095aa7b0a568518a6</open-checksum>
    <checksum type="sha1">67ede6d29a452180688ca3bec714fd497165cdd7</checksum>
    <open-checksum type="sha1">ad80f96928ee6eeccd02e951f2724b1869cbed42</open-checksum>
    <checksum type="sha1">b956f89650b892066ce13de88225b44b43752ce8</checksum>
    <open-checksum type="sha1">a494af23c564001dc6dc43d61832118c8f7882da</open-checksum>
    <checksum type="sha1">41060304920abe54a8ed61af1b29017eb8ad0b38</checksum>
    <open-checksum type="sha1">49bc23790064461fc9e59443c17b8e035f8d9123</open-checksum>
[root@dhcp193-179 repodata

Comment 8 Sachin Ghai 2011-10-22 15:49:17 UTC
Moving this to verified based on comment5 and comment7

Comment 12 errata-xmlrpc 2017-03-01 22:05:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0367


Note You need to log in before you can comment on or make changes to this bug.